# TODO: PLDify init script
Summary:	iWarp Port Mapper userspace daemon
Summary(pl.UTF-8):	Demon przestrzeni użytkownika usługi iWarp Port Mapper
Name:		libiwpm
Version:	1.0.3
Release:	1
License:	BSD or GPL v2
Group:		Libraries
Source0:	https://www.openfabrics.org/downloads/libiwpm/%{name}-%{version}.tar.gz
# Source0-md5:	8c963f77f1a0f80ce66fec3f2c3467e5
URL:		https://www.openfabrics.org/
BuildRequires:	libnl-devel >= 3.2
BuildRequires:	rpmbuild(macros) >= 1.647
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Requires:	systemd-units >= 0.38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
libiwpm provides a userspace service for iWarp drivers to claim TCP
ports through the standard socket interface.

%description -l pl.UTF-8
libiwpm dostarcza usługę przestrzeni użytkownika dla sterowników
iWarp, pozwalającą im zajmować porty TCP poprzez standardowy interfejs
gniazdowy.

%package devel
Summary:	Header files for iWarp Port Mapper
Summary(pl.UTF-8):	Pliki nagłówkowe usługi iWarp Port Mapper
Group:		Development/Libraries
Requires:	libnl-devel >= 3.2

%description devel
Header files for iWarp Port Mapper.

%description devel -l pl.UTF-8
Pliki nagłówkowe usługi iWarp Port Mapper.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -Dp iwpmd_init $RPM_BUILD_ROOT/etc/rc.d/init.d/iwpmd
install -Dp iwpmd.service $RPM_BUILD_ROOT%{systemdunitdir}/iwpmd.service

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iwpmd
%systemd_post iwpmd.service
%service iwpmd restart

%preun
%systemd_preun iwpmd.service
if [ "$1" = "0" ]; then
	%service -q iwpmd stop
	/sbin/chkconfig --del iwpmd
fi

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/iwpmd
%attr(754,root,root) /etc/rc.d/init.d/iwpmd
%{systemdunitdir}/iwpmd.service

%files devel
%defattr(644,root,root,755)
%{_includedir}/rdma/iwarp_pm.h
%{_includedir}/rdma/iwpm_netlink.h
%changelog
* Sat Oct 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libiwpm.git;a=log;h=master

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> be51f5f
- updated to 1.0.3

* Wed Jun 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 2686129
- THEY updated sources again

* Thu Feb 19 2015 Jakub Bogusz <qboosh@pld-linux.org> d975441
- initial

